Subject: Re: Oops in filter add

From: jamal <[email-masked]>
Date: Wed, 21 Mar 2007 05:33:44 -0400

On Tue, 2007-20-03 at 11:58 +0100, Patrick McHardy wrote:
> jamal wrote:

> > So the resolution (as Dave points out) was wrong. In any case, restoring
> > queue_lock for now would slow things but will remove the race.
> 
> 
> Yes. I think thats what we should do for 2.6.21, since fixing
> this while keeping ingress_lock is quite intrusive.
> 

reasonable.

> I'm on it. I'm using the opportunity to try to simply the qdisc locking.

Ok, thanks Patrick. 
BTW, I was just staring at the code and i think i have found probably a
long standing minor bug on the holding of the tree lock. I will post
 a patch shortly if i dont get disrupted.

cheers,
jamal